Pular para o conteúdo principal
GET
/
api
/
v1
/
whatsapp_templates
List WhatsApp templates
curl --request GET \
  --url https://api.izap.ai/api/v1/whatsapp_templates \
  --header 'Authorization: Bearer <token>' \
  --header 'business-id: <business-id>'
{
  "templates": [
    {
      "id": "t1a2b3c4-1234-4a5b-9c8d-abcdef123456",
      "business_id": "6a1f2e2e-1c34-4e2a-9c3e-1234567890ab",
      "display_name": "order_confirmation",
      "language": "pt_BR",
      "status": "APPROVED",
      "body_text": "Seu pedido {{1}} foi confirmado!"
    }
  ],
  "total_count": 1
}

Autorizações

Authorization
string
header
obrigatório

JWT access token obtained from POST /api/v1/auth/jwt/login, the OAuth token endpoint, or a business-scoped API token. Some Business/Chat/Template/Scheduling endpoints alternatively accept HTTP Basic credentials scoped to the business slug.

Cabeçalhos

business-id
string<uuid>
obrigatório

The business to scope the request to.

Parâmetros de consulta

status
enum<string>
Opções disponíveis:
DRAFT,
PENDING,
APPROVED,
REJECTED

Resposta

Templates for the business.

templates
object[]
total_count
integer